# StanzaDetails class

A description of a stanza to send.

## Constructors

StanzaDetails (Stanza stanza, {TypedMap <StanzaHandlerExtension>? extensions, bool addId = true, bool awaitable = true, bool shouldEncrypt = true, bool encrypted = false, bool forceEncryption = false, bool bypassQueue = false, TypedMap <StanzaHandlerExtension>? postSendExtensions})
  const

## Properties

addId → bool
  Flag indicating whether a stanza id should be added before sending.
  final
awaitable → bool
  Track the stanza to allow awaiting its response.
  final
bypassQueue → bool
  Bypasses being put into the queue. Useful for sending stanzas that must go out now, where it's okay if it does not get sent. This should never have to be set to true.
  final
encrypted → bool
  Flag indicating whether the stanza that is sent is already encrypted (true) or not (false). This is only useful for E2EE implementations that have to send heartbeats that must bypass themselves.
  final
extensions → TypedMap <StanzaHandlerExtension>?
  The extension data used for constructing the stanza.
  final
forceEncryption → bool
  final
hashCode → int
  The hash code for this object.
  no setterinherited
postSendExtensions → TypedMap <StanzaHandlerExtension>?
  This makes the Stream Management implementation, when available, ignore the stanza, meaning that it gets counted but excluded from resending. This should never have to be set to true.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
shouldEncrypt → bool
  Tells an E2EE implementation, if available, to encrypt the stanza (true) or ignore the stanza (false).
  final
stanza → Stanza
  The stanza to send.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited